Last Comment Bug 720661 - Display account central when no default account / no accounts setup
: Display account central when no default account / no accounts setup
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Account Configuration (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: seamonkey2.12
Assigned To: Ian Neal
:
Mentors:
Depends on: 713277
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-24 03:58 PST by Ian Neal
Modified: 2012-05-19 10:28 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Add ShowAccountCentral to appropriate place [Checked in: Comment 5] (832 bytes, patch)
2012-01-24 03:58 PST, Ian Neal
neil: review+
Details | Diff | Review

Description Ian Neal 2012-01-24 03:58:35 PST
Created attachment 591058 [details] [diff] [review]
Add ShowAccountCentral to appropriate place [Checked in: Comment 5]

Bug 713277 will give an appropriate account central screen for when no accounts exist / no default account, so SeaMonkey should display it.
Comment 1 :aceman 2012-01-25 02:37:48 PST
I think this must only be checked in after bug 713277 otherwise you can get the current broken account central (with all and not relevant actions shown) and lots of exceptions if user clicks on them.
Comment 2 neil@parkwaycc.co.uk 2012-01-25 07:15:58 PST
Comment on attachment 591058 [details] [diff] [review]
Add ShowAccountCentral to appropriate place [Checked in: Comment 5]

Any reason to keep the dump()s?

I notice that opening a tab when there are no accounts is still broken. (I don't know whether it's broken in Thunderbird.)
Comment 3 :aceman 2012-01-25 07:20:51 PST
I can check in TB, just tell me what opening a tab you mean.
Comment 4 :aceman 2012-04-25 00:35:19 PDT
Ian, bug 713277 has landed, can you revisit this patch?
Also consider if you want to wait for bug 746095 first.
Comment 5 Ian Neal 2012-04-29 08:12:54 PDT
Comment on attachment 591058 [details] [diff] [review]
Add ShowAccountCentral to appropriate place [Checked in: Comment 5]

Checked in with dumps removed:
http://hg.mozilla.org/comm-central/rev/2ae1a960f318

Note You need to log in before you can comment on or make changes to this bug.